Speed and call quality testMy IP addressIP subnet calculatorDNS reportWhoIs lookupRemote support

Internet and network

Speed and call quality testTest delay, jitter and speed, with a focus on phone calls.My IP addressYour public IPv4 and IPv6 addresses, provider and address range.WhoIs lookupWho owns a domain or IP address, when it expires, and its DNS.DNS reportEvery DNS record for a domain, with email setup checked.IP subnet calculatorWork out a network's range, mask and hosts, and split it into subnets.

Computers and devices

Update checkIs this computer, phone and browser up to date? With links to update.Camera and mic testCheck your webcam and microphone before a call.Test print pagePrint an A4 page to check a printer: edges, text, line art and colours.

Make and print

Clean textStrip hidden characters, smart quotes and odd spaces from pasted text.QR code makerMake a QR code for a link, contact or message. Nothing leaves your browser.Wi-Fi QR posterPrint an A4 poster that lets guests join your Wi-Fi by scanning.

Surftec support

Remote supportLet a Surftec engineer connect to your computer to help you.All workingA full-screen confirmation that everything is up and running.

Surftec

Surftec websiteServices, news and how to contact Surftec
Cloud Tools
Guest
GuestNot signed in

Surftec customers will be recognised automatically when they use these tools from their office network.

Customer sign-in is coming soon.

IP subnet calculator

Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.

Network91.0.0.0/9
Usable hosts8,388,606
Subnet mask255.128.0.0
Addresses8,388,608
Network address
91.0.0.0
Broadcast address
91.127.255.255
First usable
91.0.0.1
Last usable
91.127.255.254
Usable hosts
8,388,606 (8,388,608 less the network and broadcast addresses)
Subnet mask
255.128.0.0
Wildcard mask
0.127.255.255 (Cisco ACLs, OSPF)
Prefix length
/9
Type
Public public
Old class
A (default /8)
As numbers
Hex 5B000000 · Integer 1526726656 to 1535115263
Reverse DNS zones
0.91.in-addr.arpa
1.91.in-addr.arpa
2.91.in-addr.arpa
3.91.in-addr.arpa
4.91.in-addr.arpa
5.91.in-addr.arpa
6.91.in-addr.arpa
7.91.in-addr.arpa
8.91.in-addr.arpa
9.91.in-addr.arpa
10.91.in-addr.arpa
11.91.in-addr.arpa
12.91.in-addr.arpa
13.91.in-addr.arpa
14.91.in-addr.arpa
15.91.in-addr.arpa
and 112 more
/9 is not on a 8-bit boundary, so it takes 128 /16 zones.
Binary
Binary view
Binary (network bits bold, host bits grey)Dotted
Address01011011.00000000.00000000.0000000091.0.0.0
Subnet mask11111111.10000000.00000000.00000000255.128.0.0
Network01011011.00000000.00000000.0000000091.0.0.0
Broadcast01011011.01111111.11111111.1111111191.127.255.255
Split into smaller subnets/20

91.0.0.0/9 makes 2,048 subnets of /20; the first 256 are listed.

Subnets
#SubnetUsable hosts rangeBroadcastHosts
191.0.0.0/2091.0.0.1 to 91.0.15.25491.0.15.2554,094
291.0.16.0/2091.0.16.1 to 91.0.31.25491.0.31.2554,094
391.0.32.0/2091.0.32.1 to 91.0.47.25491.0.47.2554,094
491.0.48.0/2091.0.48.1 to 91.0.63.25491.0.63.2554,094
591.0.64.0/2091.0.64.1 to 91.0.79.25491.0.79.2554,094
691.0.80.0/2091.0.80.1 to 91.0.95.25491.0.95.2554,094
791.0.96.0/2091.0.96.1 to 91.0.111.25491.0.111.2554,094
891.0.112.0/2091.0.112.1 to 91.0.127.25491.0.127.2554,094
991.0.128.0/2091.0.128.1 to 91.0.143.25491.0.143.2554,094
1091.0.144.0/2091.0.144.1 to 91.0.159.25491.0.159.2554,094
1191.0.160.0/2091.0.160.1 to 91.0.175.25491.0.175.2554,094
1291.0.176.0/2091.0.176.1 to 91.0.191.25491.0.191.2554,094
1391.0.192.0/2091.0.192.1 to 91.0.207.25491.0.207.2554,094
1491.0.208.0/2091.0.208.1 to 91.0.223.25491.0.223.2554,094
1591.0.224.0/2091.0.224.1 to 91.0.239.25491.0.239.2554,094
1691.0.240.0/2091.0.240.1 to 91.0.255.25491.0.255.2554,094
1791.1.0.0/2091.1.0.1 to 91.1.15.25491.1.15.2554,094
1891.1.16.0/2091.1.16.1 to 91.1.31.25491.1.31.2554,094
1991.1.32.0/2091.1.32.1 to 91.1.47.25491.1.47.2554,094
2091.1.48.0/2091.1.48.1 to 91.1.63.25491.1.63.2554,094
2191.1.64.0/2091.1.64.1 to 91.1.79.25491.1.79.2554,094
2291.1.80.0/2091.1.80.1 to 91.1.95.25491.1.95.2554,094
2391.1.96.0/2091.1.96.1 to 91.1.111.25491.1.111.2554,094
2491.1.112.0/2091.1.112.1 to 91.1.127.25491.1.127.2554,094
2591.1.128.0/2091.1.128.1 to 91.1.143.25491.1.143.2554,094
2691.1.144.0/2091.1.144.1 to 91.1.159.25491.1.159.2554,094
2791.1.160.0/2091.1.160.1 to 91.1.175.25491.1.175.2554,094
2891.1.176.0/2091.1.176.1 to 91.1.191.25491.1.191.2554,094
2991.1.192.0/2091.1.192.1 to 91.1.207.25491.1.207.2554,094
3091.1.208.0/2091.1.208.1 to 91.1.223.25491.1.223.2554,094
3191.1.224.0/2091.1.224.1 to 91.1.239.25491.1.239.2554,094
3291.1.240.0/2091.1.240.1 to 91.1.255.25491.1.255.2554,094
3391.2.0.0/2091.2.0.1 to 91.2.15.25491.2.15.2554,094
3491.2.16.0/2091.2.16.1 to 91.2.31.25491.2.31.2554,094
3591.2.32.0/2091.2.32.1 to 91.2.47.25491.2.47.2554,094
3691.2.48.0/2091.2.48.1 to 91.2.63.25491.2.63.2554,094
3791.2.64.0/2091.2.64.1 to 91.2.79.25491.2.79.2554,094
3891.2.80.0/2091.2.80.1 to 91.2.95.25491.2.95.2554,094
3991.2.96.0/2091.2.96.1 to 91.2.111.25491.2.111.2554,094
4091.2.112.0/2091.2.112.1 to 91.2.127.25491.2.127.2554,094
4191.2.128.0/2091.2.128.1 to 91.2.143.25491.2.143.2554,094
4291.2.144.0/2091.2.144.1 to 91.2.159.25491.2.159.2554,094
4391.2.160.0/2091.2.160.1 to 91.2.175.25491.2.175.2554,094
4491.2.176.0/2091.2.176.1 to 91.2.191.25491.2.191.2554,094
4591.2.192.0/2091.2.192.1 to 91.2.207.25491.2.207.2554,094
4691.2.208.0/2091.2.208.1 to 91.2.223.25491.2.223.2554,094
4791.2.224.0/2091.2.224.1 to 91.2.239.25491.2.239.2554,094
4891.2.240.0/2091.2.240.1 to 91.2.255.25491.2.255.2554,094
4991.3.0.0/2091.3.0.1 to 91.3.15.25491.3.15.2554,094
5091.3.16.0/2091.3.16.1 to 91.3.31.25491.3.31.2554,094
5191.3.32.0/2091.3.32.1 to 91.3.47.25491.3.47.2554,094
5291.3.48.0/2091.3.48.1 to 91.3.63.25491.3.63.2554,094
5391.3.64.0/2091.3.64.1 to 91.3.79.25491.3.79.2554,094
5491.3.80.0/2091.3.80.1 to 91.3.95.25491.3.95.2554,094
5591.3.96.0/2091.3.96.1 to 91.3.111.25491.3.111.2554,094
5691.3.112.0/2091.3.112.1 to 91.3.127.25491.3.127.2554,094
5791.3.128.0/2091.3.128.1 to 91.3.143.25491.3.143.2554,094
5891.3.144.0/2091.3.144.1 to 91.3.159.25491.3.159.2554,094
5991.3.160.0/2091.3.160.1 to 91.3.175.25491.3.175.2554,094
6091.3.176.0/2091.3.176.1 to 91.3.191.25491.3.191.2554,094
6191.3.192.0/2091.3.192.1 to 91.3.207.25491.3.207.2554,094
6291.3.208.0/2091.3.208.1 to 91.3.223.25491.3.223.2554,094
6391.3.224.0/2091.3.224.1 to 91.3.239.25491.3.239.2554,094
6491.3.240.0/2091.3.240.1 to 91.3.255.25491.3.255.2554,094
6591.4.0.0/2091.4.0.1 to 91.4.15.25491.4.15.2554,094
6691.4.16.0/2091.4.16.1 to 91.4.31.25491.4.31.2554,094
6791.4.32.0/2091.4.32.1 to 91.4.47.25491.4.47.2554,094
6891.4.48.0/2091.4.48.1 to 91.4.63.25491.4.63.2554,094
6991.4.64.0/2091.4.64.1 to 91.4.79.25491.4.79.2554,094
7091.4.80.0/2091.4.80.1 to 91.4.95.25491.4.95.2554,094
7191.4.96.0/2091.4.96.1 to 91.4.111.25491.4.111.2554,094
7291.4.112.0/2091.4.112.1 to 91.4.127.25491.4.127.2554,094
7391.4.128.0/2091.4.128.1 to 91.4.143.25491.4.143.2554,094
7491.4.144.0/2091.4.144.1 to 91.4.159.25491.4.159.2554,094
7591.4.160.0/2091.4.160.1 to 91.4.175.25491.4.175.2554,094
7691.4.176.0/2091.4.176.1 to 91.4.191.25491.4.191.2554,094
7791.4.192.0/2091.4.192.1 to 91.4.207.25491.4.207.2554,094
7891.4.208.0/2091.4.208.1 to 91.4.223.25491.4.223.2554,094
7991.4.224.0/2091.4.224.1 to 91.4.239.25491.4.239.2554,094
8091.4.240.0/2091.4.240.1 to 91.4.255.25491.4.255.2554,094
8191.5.0.0/2091.5.0.1 to 91.5.15.25491.5.15.2554,094
8291.5.16.0/2091.5.16.1 to 91.5.31.25491.5.31.2554,094
8391.5.32.0/2091.5.32.1 to 91.5.47.25491.5.47.2554,094
8491.5.48.0/2091.5.48.1 to 91.5.63.25491.5.63.2554,094
8591.5.64.0/2091.5.64.1 to 91.5.79.25491.5.79.2554,094
8691.5.80.0/2091.5.80.1 to 91.5.95.25491.5.95.2554,094
8791.5.96.0/2091.5.96.1 to 91.5.111.25491.5.111.2554,094
8891.5.112.0/2091.5.112.1 to 91.5.127.25491.5.127.2554,094
8991.5.128.0/2091.5.128.1 to 91.5.143.25491.5.143.2554,094
9091.5.144.0/2091.5.144.1 to 91.5.159.25491.5.159.2554,094
9191.5.160.0/2091.5.160.1 to 91.5.175.25491.5.175.2554,094
9291.5.176.0/2091.5.176.1 to 91.5.191.25491.5.191.2554,094
9391.5.192.0/2091.5.192.1 to 91.5.207.25491.5.207.2554,094
9491.5.208.0/2091.5.208.1 to 91.5.223.25491.5.223.2554,094
9591.5.224.0/2091.5.224.1 to 91.5.239.25491.5.239.2554,094
9691.5.240.0/2091.5.240.1 to 91.5.255.25491.5.255.2554,094
9791.6.0.0/2091.6.0.1 to 91.6.15.25491.6.15.2554,094
9891.6.16.0/2091.6.16.1 to 91.6.31.25491.6.31.2554,094
9991.6.32.0/2091.6.32.1 to 91.6.47.25491.6.47.2554,094
10091.6.48.0/2091.6.48.1 to 91.6.63.25491.6.63.2554,094
10191.6.64.0/2091.6.64.1 to 91.6.79.25491.6.79.2554,094
10291.6.80.0/2091.6.80.1 to 91.6.95.25491.6.95.2554,094
10391.6.96.0/2091.6.96.1 to 91.6.111.25491.6.111.2554,094
10491.6.112.0/2091.6.112.1 to 91.6.127.25491.6.127.2554,094
10591.6.128.0/2091.6.128.1 to 91.6.143.25491.6.143.2554,094
10691.6.144.0/2091.6.144.1 to 91.6.159.25491.6.159.2554,094
10791.6.160.0/2091.6.160.1 to 91.6.175.25491.6.175.2554,094
10891.6.176.0/2091.6.176.1 to 91.6.191.25491.6.191.2554,094
10991.6.192.0/2091.6.192.1 to 91.6.207.25491.6.207.2554,094
11091.6.208.0/2091.6.208.1 to 91.6.223.25491.6.223.2554,094
11191.6.224.0/2091.6.224.1 to 91.6.239.25491.6.239.2554,094
11291.6.240.0/2091.6.240.1 to 91.6.255.25491.6.255.2554,094
11391.7.0.0/2091.7.0.1 to 91.7.15.25491.7.15.2554,094
11491.7.16.0/2091.7.16.1 to 91.7.31.25491.7.31.2554,094
11591.7.32.0/2091.7.32.1 to 91.7.47.25491.7.47.2554,094
11691.7.48.0/2091.7.48.1 to 91.7.63.25491.7.63.2554,094
11791.7.64.0/2091.7.64.1 to 91.7.79.25491.7.79.2554,094
11891.7.80.0/2091.7.80.1 to 91.7.95.25491.7.95.2554,094
11991.7.96.0/2091.7.96.1 to 91.7.111.25491.7.111.2554,094
12091.7.112.0/2091.7.112.1 to 91.7.127.25491.7.127.2554,094
12191.7.128.0/2091.7.128.1 to 91.7.143.25491.7.143.2554,094
12291.7.144.0/2091.7.144.1 to 91.7.159.25491.7.159.2554,094
12391.7.160.0/2091.7.160.1 to 91.7.175.25491.7.175.2554,094
12491.7.176.0/2091.7.176.1 to 91.7.191.25491.7.191.2554,094
12591.7.192.0/2091.7.192.1 to 91.7.207.25491.7.207.2554,094
12691.7.208.0/2091.7.208.1 to 91.7.223.25491.7.223.2554,094
12791.7.224.0/2091.7.224.1 to 91.7.239.25491.7.239.2554,094
12891.7.240.0/2091.7.240.1 to 91.7.255.25491.7.255.2554,094
12991.8.0.0/2091.8.0.1 to 91.8.15.25491.8.15.2554,094
13091.8.16.0/2091.8.16.1 to 91.8.31.25491.8.31.2554,094
13191.8.32.0/2091.8.32.1 to 91.8.47.25491.8.47.2554,094
13291.8.48.0/2091.8.48.1 to 91.8.63.25491.8.63.2554,094
13391.8.64.0/2091.8.64.1 to 91.8.79.25491.8.79.2554,094
13491.8.80.0/2091.8.80.1 to 91.8.95.25491.8.95.2554,094
13591.8.96.0/2091.8.96.1 to 91.8.111.25491.8.111.2554,094
13691.8.112.0/2091.8.112.1 to 91.8.127.25491.8.127.2554,094
13791.8.128.0/2091.8.128.1 to 91.8.143.25491.8.143.2554,094
13891.8.144.0/2091.8.144.1 to 91.8.159.25491.8.159.2554,094
13991.8.160.0/2091.8.160.1 to 91.8.175.25491.8.175.2554,094
14091.8.176.0/2091.8.176.1 to 91.8.191.25491.8.191.2554,094
14191.8.192.0/2091.8.192.1 to 91.8.207.25491.8.207.2554,094
14291.8.208.0/2091.8.208.1 to 91.8.223.25491.8.223.2554,094
14391.8.224.0/2091.8.224.1 to 91.8.239.25491.8.239.2554,094
14491.8.240.0/2091.8.240.1 to 91.8.255.25491.8.255.2554,094
14591.9.0.0/2091.9.0.1 to 91.9.15.25491.9.15.2554,094
14691.9.16.0/2091.9.16.1 to 91.9.31.25491.9.31.2554,094
14791.9.32.0/2091.9.32.1 to 91.9.47.25491.9.47.2554,094
14891.9.48.0/2091.9.48.1 to 91.9.63.25491.9.63.2554,094
14991.9.64.0/2091.9.64.1 to 91.9.79.25491.9.79.2554,094
15091.9.80.0/2091.9.80.1 to 91.9.95.25491.9.95.2554,094
15191.9.96.0/2091.9.96.1 to 91.9.111.25491.9.111.2554,094
15291.9.112.0/2091.9.112.1 to 91.9.127.25491.9.127.2554,094
15391.9.128.0/2091.9.128.1 to 91.9.143.25491.9.143.2554,094
15491.9.144.0/2091.9.144.1 to 91.9.159.25491.9.159.2554,094
15591.9.160.0/2091.9.160.1 to 91.9.175.25491.9.175.2554,094
15691.9.176.0/2091.9.176.1 to 91.9.191.25491.9.191.2554,094
15791.9.192.0/2091.9.192.1 to 91.9.207.25491.9.207.2554,094
15891.9.208.0/2091.9.208.1 to 91.9.223.25491.9.223.2554,094
15991.9.224.0/2091.9.224.1 to 91.9.239.25491.9.239.2554,094
16091.9.240.0/2091.9.240.1 to 91.9.255.25491.9.255.2554,094
16191.10.0.0/2091.10.0.1 to 91.10.15.25491.10.15.2554,094
16291.10.16.0/2091.10.16.1 to 91.10.31.25491.10.31.2554,094
16391.10.32.0/2091.10.32.1 to 91.10.47.25491.10.47.2554,094
16491.10.48.0/2091.10.48.1 to 91.10.63.25491.10.63.2554,094
16591.10.64.0/2091.10.64.1 to 91.10.79.25491.10.79.2554,094
16691.10.80.0/2091.10.80.1 to 91.10.95.25491.10.95.2554,094
16791.10.96.0/2091.10.96.1 to 91.10.111.25491.10.111.2554,094
16891.10.112.0/2091.10.112.1 to 91.10.127.25491.10.127.2554,094
16991.10.128.0/2091.10.128.1 to 91.10.143.25491.10.143.2554,094
17091.10.144.0/2091.10.144.1 to 91.10.159.25491.10.159.2554,094
17191.10.160.0/2091.10.160.1 to 91.10.175.25491.10.175.2554,094
17291.10.176.0/2091.10.176.1 to 91.10.191.25491.10.191.2554,094
17391.10.192.0/2091.10.192.1 to 91.10.207.25491.10.207.2554,094
17491.10.208.0/2091.10.208.1 to 91.10.223.25491.10.223.2554,094
17591.10.224.0/2091.10.224.1 to 91.10.239.25491.10.239.2554,094
17691.10.240.0/2091.10.240.1 to 91.10.255.25491.10.255.2554,094
17791.11.0.0/2091.11.0.1 to 91.11.15.25491.11.15.2554,094
17891.11.16.0/2091.11.16.1 to 91.11.31.25491.11.31.2554,094
17991.11.32.0/2091.11.32.1 to 91.11.47.25491.11.47.2554,094
18091.11.48.0/2091.11.48.1 to 91.11.63.25491.11.63.2554,094
18191.11.64.0/2091.11.64.1 to 91.11.79.25491.11.79.2554,094
18291.11.80.0/2091.11.80.1 to 91.11.95.25491.11.95.2554,094
18391.11.96.0/2091.11.96.1 to 91.11.111.25491.11.111.2554,094
18491.11.112.0/2091.11.112.1 to 91.11.127.25491.11.127.2554,094
18591.11.128.0/2091.11.128.1 to 91.11.143.25491.11.143.2554,094
18691.11.144.0/2091.11.144.1 to 91.11.159.25491.11.159.2554,094
18791.11.160.0/2091.11.160.1 to 91.11.175.25491.11.175.2554,094
18891.11.176.0/2091.11.176.1 to 91.11.191.25491.11.191.2554,094
18991.11.192.0/2091.11.192.1 to 91.11.207.25491.11.207.2554,094
19091.11.208.0/2091.11.208.1 to 91.11.223.25491.11.223.2554,094
19191.11.224.0/2091.11.224.1 to 91.11.239.25491.11.239.2554,094
19291.11.240.0/2091.11.240.1 to 91.11.255.25491.11.255.2554,094
19391.12.0.0/2091.12.0.1 to 91.12.15.25491.12.15.2554,094
19491.12.16.0/2091.12.16.1 to 91.12.31.25491.12.31.2554,094
19591.12.32.0/2091.12.32.1 to 91.12.47.25491.12.47.2554,094
19691.12.48.0/2091.12.48.1 to 91.12.63.25491.12.63.2554,094
19791.12.64.0/2091.12.64.1 to 91.12.79.25491.12.79.2554,094
19891.12.80.0/2091.12.80.1 to 91.12.95.25491.12.95.2554,094
19991.12.96.0/2091.12.96.1 to 91.12.111.25491.12.111.2554,094
20091.12.112.0/2091.12.112.1 to 91.12.127.25491.12.127.2554,094
20191.12.128.0/2091.12.128.1 to 91.12.143.25491.12.143.2554,094
20291.12.144.0/2091.12.144.1 to 91.12.159.25491.12.159.2554,094
20391.12.160.0/2091.12.160.1 to 91.12.175.25491.12.175.2554,094
20491.12.176.0/2091.12.176.1 to 91.12.191.25491.12.191.2554,094
20591.12.192.0/2091.12.192.1 to 91.12.207.25491.12.207.2554,094
20691.12.208.0/2091.12.208.1 to 91.12.223.25491.12.223.2554,094
20791.12.224.0/2091.12.224.1 to 91.12.239.25491.12.239.2554,094
20891.12.240.0/2091.12.240.1 to 91.12.255.25491.12.255.2554,094
20991.13.0.0/2091.13.0.1 to 91.13.15.25491.13.15.2554,094
21091.13.16.0/2091.13.16.1 to 91.13.31.25491.13.31.2554,094
21191.13.32.0/2091.13.32.1 to 91.13.47.25491.13.47.2554,094
21291.13.48.0/2091.13.48.1 to 91.13.63.25491.13.63.2554,094
21391.13.64.0/2091.13.64.1 to 91.13.79.25491.13.79.2554,094
21491.13.80.0/2091.13.80.1 to 91.13.95.25491.13.95.2554,094
21591.13.96.0/2091.13.96.1 to 91.13.111.25491.13.111.2554,094
21691.13.112.0/2091.13.112.1 to 91.13.127.25491.13.127.2554,094
21791.13.128.0/2091.13.128.1 to 91.13.143.25491.13.143.2554,094
21891.13.144.0/2091.13.144.1 to 91.13.159.25491.13.159.2554,094
21991.13.160.0/2091.13.160.1 to 91.13.175.25491.13.175.2554,094
22091.13.176.0/2091.13.176.1 to 91.13.191.25491.13.191.2554,094
22191.13.192.0/2091.13.192.1 to 91.13.207.25491.13.207.2554,094
22291.13.208.0/2091.13.208.1 to 91.13.223.25491.13.223.2554,094
22391.13.224.0/2091.13.224.1 to 91.13.239.25491.13.239.2554,094
22491.13.240.0/2091.13.240.1 to 91.13.255.25491.13.255.2554,094
22591.14.0.0/2091.14.0.1 to 91.14.15.25491.14.15.2554,094
22691.14.16.0/2091.14.16.1 to 91.14.31.25491.14.31.2554,094
22791.14.32.0/2091.14.32.1 to 91.14.47.25491.14.47.2554,094
22891.14.48.0/2091.14.48.1 to 91.14.63.25491.14.63.2554,094
22991.14.64.0/2091.14.64.1 to 91.14.79.25491.14.79.2554,094
23091.14.80.0/2091.14.80.1 to 91.14.95.25491.14.95.2554,094
23191.14.96.0/2091.14.96.1 to 91.14.111.25491.14.111.2554,094
23291.14.112.0/2091.14.112.1 to 91.14.127.25491.14.127.2554,094
23391.14.128.0/2091.14.128.1 to 91.14.143.25491.14.143.2554,094
23491.14.144.0/2091.14.144.1 to 91.14.159.25491.14.159.2554,094
23591.14.160.0/2091.14.160.1 to 91.14.175.25491.14.175.2554,094
23691.14.176.0/2091.14.176.1 to 91.14.191.25491.14.191.2554,094
23791.14.192.0/2091.14.192.1 to 91.14.207.25491.14.207.2554,094
23891.14.208.0/2091.14.208.1 to 91.14.223.25491.14.223.2554,094
23991.14.224.0/2091.14.224.1 to 91.14.239.25491.14.239.2554,094
24091.14.240.0/2091.14.240.1 to 91.14.255.25491.14.255.2554,094
24191.15.0.0/2091.15.0.1 to 91.15.15.25491.15.15.2554,094
24291.15.16.0/2091.15.16.1 to 91.15.31.25491.15.31.2554,094
24391.15.32.0/2091.15.32.1 to 91.15.47.25491.15.47.2554,094
24491.15.48.0/2091.15.48.1 to 91.15.63.25491.15.63.2554,094
24591.15.64.0/2091.15.64.1 to 91.15.79.25491.15.79.2554,094
24691.15.80.0/2091.15.80.1 to 91.15.95.25491.15.95.2554,094
24791.15.96.0/2091.15.96.1 to 91.15.111.25491.15.111.2554,094
24891.15.112.0/2091.15.112.1 to 91.15.127.25491.15.127.2554,094
24991.15.128.0/2091.15.128.1 to 91.15.143.25491.15.143.2554,094
25091.15.144.0/2091.15.144.1 to 91.15.159.25491.15.159.2554,094
25191.15.160.0/2091.15.160.1 to 91.15.175.25491.15.175.2554,094
25291.15.176.0/2091.15.176.1 to 91.15.191.25491.15.191.2554,094
25391.15.192.0/2091.15.192.1 to 91.15.207.25491.15.207.2554,094
25491.15.208.0/2091.15.208.1 to 91.15.223.25491.15.223.2554,094
25591.15.224.0/2091.15.224.1 to 91.15.239.25491.15.239.2554,094
25691.15.240.0/2091.15.240.1 to 91.15.255.25491.15.255.2554,094

IPv4 CIDR reference (/0 to /32)

IPv4 prefix lengths
PrefixSubnet maskWildcardAddressesUsable hostsSizeTypical use
/00.0.0.0255.255.255.2554,294,967,2964,294,967,29416,777,216 × /24
/1128.0.0.0127.255.255.2552,147,483,6482,147,483,6468,388,608 × /24
/2192.0.0.063.255.255.2551,073,741,8241,073,741,8224,194,304 × /24
/3224.0.0.031.255.255.255536,870,912536,870,9102,097,152 × /24
/4240.0.0.015.255.255.255268,435,456268,435,4541,048,576 × /24
/5248.0.0.07.255.255.255134,217,728134,217,726524,288 × /24
/6252.0.0.03.255.255.25567,108,86467,108,862262,144 × /24
/7254.0.0.01.255.255.25533,554,43233,554,430131,072 × /24
/8255.0.0.00.255.255.25516,777,21616,777,21465,536 × /24Old class A; 10.0.0.0/8
/9255.128.0.00.127.255.2558,388,6088,388,60632,768 × /24
/10255.192.0.00.63.255.2554,194,3044,194,30216,384 × /24
/11255.224.0.00.31.255.2552,097,1522,097,1508,192 × /24
/12255.240.0.00.15.255.2551,048,5761,048,5744,096 × /24172.16.0.0/12
/13255.248.0.00.7.255.255524,288524,2862,048 × /24
/14255.252.0.00.3.255.255262,144262,1421,024 × /24
/15255.254.0.00.1.255.255131,072131,070512 × /24
/16255.255.0.00.0.255.25565,53665,534256 × /24Old class B; 192.168.0.0/16
/17255.255.128.00.0.127.25532,76832,766128 × /24
/18255.255.192.00.0.63.25516,38416,38264 × /24
/19255.255.224.00.0.31.2558,1928,19032 × /24
/20255.255.240.00.0.15.2554,0964,09416 × /24
/21255.255.248.00.0.7.2552,0482,0468 × /24
/22255.255.252.00.0.3.2551,0241,0224 × /24Large office or guest Wi-Fi (1,022 hosts)
/23255.255.254.00.0.1.2555125102 × /24Larger office LAN (510 hosts)
/24255.255.255.00.0.0.2552562541 × /24Typical office LAN (old class C)
/25255.255.255.1280.0.0.1271281261/2 of a /24Smaller LAN or VLAN
/26255.255.255.1920.0.0.6364621/4 of a /24Smaller LAN or VLAN
/27255.255.255.2240.0.0.3132301/8 of a /24Small VLAN, phones, cameras
/28255.255.255.2400.0.0.1516141/16 of a /24Small VLAN, phones, cameras
/29255.255.255.2480.0.0.7861/32 of a /24Small fixed public block (5 usable)
/30255.255.255.2520.0.0.3421/64 of a /24Point-to-point (old style)
/31255.255.255.2540.0.0.1221/128 of a /24Point-to-point link (RFC 3021)
/32255.255.255.2550.0.0.0111/256 of a /24One host

IPv6 prefix reference

IPv6 prefix lengths
PrefixAddresses/64 LANs/48 sitesNibbleTypical use
/342,535,295,865,117,307,932,921,825,928,971,026,432 (2^125)2,305,843,009,213,693,95235,184,372,088,832NoAll global unicast (2000::/3)
/165,192,296,858,534,827,628,530,496,329,220,096 (2^112)281,474,976,710,6564,294,967,296Yes
/20324,518,553,658,426,726,783,156,020,576,256 (2^108)17,592,186,044,416268,435,456YesLarge provider allocation (RIPE minimum for some)
/29633,825,300,114,114,700,748,351,602,688 (2^99)34,359,738,368524,288NoRIPE allocation to a provider (often)
/3279,228,162,514,264,337,593,543,950,336 (2^96)4,294,967,29665,536YesProvider allocation (RIPE default)
/364,951,760,157,141,521,099,596,496,896 (2^92)268,435,4564,096Yes
/40309,485,009,821,345,068,724,781,056 (2^88)16,777,216256Yes
/4419,342,813,113,834,066,795,298,816 (2^84)1,048,57616Yes
/481,208,925,819,614,629,174,706,176 (2^80)65,5361YesOne site or organisation (RIPE PI / assignment)
/5275,557,863,725,914,323,419,136 (2^76)4,096Yes
/564,722,366,482,869,645,213,696 (2^72)256YesSmall site or home (common provider assignment)
/60295,147,905,179,352,825,856 (2^68)16YesSome home broadband (16 LANs)
/6418,446,744,073,709,551,616 (2^64)1YesOne LAN or VLAN (needed for SLAAC)
/7272,057,594,037,927,936 (2^56)1/256 of a /64Yes
/80281,474,976,710,656 (2^48)1/65,536 of a /64Yes
/964,294,967,2961/4,294,967,296 of a /64YesEmbeds an IPv4 address (NAT64)
/11265,5361/281,474,976,710,656 of a /64Yes
/1202561/72,057,594,037,927,936 of a /64Yes
/124161/1,152,921,504,606,846,976 of a /64Yes
/12641/4,611,686,018,427,387,904 of a /64No
/12721/9,223,372,036,854,775,808 of a /64NoPoint-to-point link (RFC 6164)
/12811/18,446,744,073,709,551,616 of a /64YesOne host or loopback

Private and special ranges

IPv4

Special-purpose ranges
RangeNameWhat it is
255.255.255.255/32Limited broadcastEvery host on the local network
0.0.0.0/8This networkNot routed; 0.0.0.0 means "any address" in settings
10.0.0.0/8Private (RFC 1918)Office and home networks; not routed on the internet
100.64.0.0/10Shared address space (CGNAT)Used by providers behind carrier-grade NAT (RFC 6598)
127.0.0.0/8LoopbackThis computer
169.254.0.0/16Link-local (APIPA)Self-assigned when no DHCP server answers
172.16.0.0/12Private (RFC 1918)Office and home networks; not routed on the internet
192.0.0.0/24IETF protocol assignmentsSpecial uses such as DS-Lite
192.0.2.0/24Documentation (TEST-NET-1)For examples; never used on a network
192.88.99.0/246to4 relay (deprecated)Formerly anycast for 6to4
192.168.0.0/16Private (RFC 1918)Office and home networks; not routed on the internet
198.18.0.0/15BenchmarkingNetwork equipment testing (RFC 2544)
198.51.100.0/24Documentation (TEST-NET-2)For examples; never used on a network
203.0.113.0/24Documentation (TEST-NET-3)For examples; never used on a network
224.0.0.0/4MulticastOne-to-many traffic, such as IPTV and routing protocols
240.0.0.0/4ReservedFuture use; not usable on most systems

IPv6

Special-purpose ranges
RangeNameWhat it is
::/128UnspecifiedNo address; :: means "any address" in settings
::1/128LoopbackThis computer
::ffff:0:0/96IPv4-mappedAn IPv4 address written as IPv6
64:ff9b::/96NAT64IPv4 addresses reached through a NAT64 gateway
100::/64Discard onlyTraffic sent here is dropped (RFC 6666)
2001:db8::/32DocumentationFor examples; never used on a network
2001::/32TeredoIPv6 tunnelled over IPv4 UDP
2002::/166to4IPv6 tunnelled over IPv4 (largely retired)
3fff::/20DocumentationFor examples (RFC 9637)
fc00::/7Unique local (ULA)Private IPv6, like RFC 1918; usually fd00::/8
fe80::/10Link-localEvery IPv6 interface has one; not routed
ff00::/8MulticastOne-to-many traffic; replaces broadcast
2000::/3Global unicastPublic internet addresses